package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsPrescribeDrug;

/**
 * 处方药品Service接口
 * 
 * @author fs
 * @date 2023-07-27
 */
public interface IFsPrescribeDrugService 
{
    /**
     * 查询处方药品
     * 
     * @param drugId 处方药品主键
     * @return 处方药品
     */
    public FsPrescribeDrug selectFsPrescribeDrugByDrugId(Long drugId);

    /**
     * 查询处方药品列表
     * 
     * @param fsPrescribeDrug 处方药品
     * @return 处方药品集合
     */
    public List<FsPrescribeDrug> selectFsPrescribeDrugList(FsPrescribeDrug fsPrescribeDrug);

    /**
     * 新增处方药品
     * 
     * @param fsPrescribeDrug 处方药品
     * @return 结果
     */
    public int insertFsPrescribeDrug(FsPrescribeDrug fsPrescribeDrug);

    /**
     * 修改处方药品
     * 
     * @param fsPrescribeDrug 处方药品
     * @return 结果
     */
    public int updateFsPrescribeDrug(FsPrescribeDrug fsPrescribeDrug);

    /**
     * 批量删除处方药品
     * 
     * @param drugIds 需要删除的处方药品主键集合
     * @return 结果
     */
    public int deleteFsPrescribeDrugByDrugIds(Long[] drugIds);

    /**
     * 删除处方药品信息
     * 
     * @param drugId 处方药品主键
     * @return 结果
     */
    public int deleteFsPrescribeDrugByDrugId(Long drugId);
}
